net.i2p.router.tunnel

## Class RouterFragmentHandler

- java.lang.Object
- - net.i2p.router.tunnel.FragmentHandler
  - - net.i2p.router.tunnel.RouterFragmentHandler

    public class RouterFragmentHandler
    extends FragmentHandler

Minor extension to allow message history integration

### Nested Class Summary

### Nested classes/interfaces inherited from class net.i2p.router.tunnel.FragmentHandler

`FragmentHandler.DefragmentedReceiver`

### Field Summary

### Fields inherited from class net.i2p.router.tunnel.FragmentHandler

`_context, _log, MASK_EXTENDED, MASK_FRAGMENTED, MASK_IS_SUBSEQUENT, MASK_TYPE, MAX_DEFRAGMENT_TIME, TYPE_LOCAL, TYPE_ROUTER, TYPE_TUNNEL`

### Constructor Summary

Constructors
Constructor and Description
`RouterFragmentHandler(RouterContext context, FragmentHandler.DefragmentedReceiver receiver)`

### Method Summary

Methods
`protected void` `noteCompletion(long messageId)`
`protected void` `noteFailure(long messageId, String status)`
`protected void` `noteReception(long messageId, int fragmentId, Object status)`

### Methods inherited from class net.i2p.router.tunnel.FragmentHandler

`getCompleteCount, getFailedCount, receiveTunnelMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RouterFragmentHandler

    public RouterFragmentHandler(RouterContext context,
                         FragmentHandler.DefragmentedReceiver receiver)

### Method Detail

#### noteReception

    protected void noteReception(long messageId,
                     int fragmentId,
                     Object status)

Overrides:
  `noteReception` in class `FragmentHandler`

#### noteCompletion

    protected void noteCompletion(long messageId)

Overrides:
  `noteCompletion` in class `FragmentHandler`

#### noteFailure

    protected void noteFailure(long messageId,
                   String status)

Overrides:
  `noteFailure` in class `FragmentHandler`